Debian Bug report logs - #514459
linux-image-2.6.25-2-486: encrypted root-partition not detected

Package: cryptsetup; Maintainer for cryptsetup is Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>; Source for cryptsetup is src:cryptsetup.

Reported by: "Paul M." <pimy@gmx.net>

Date: Sat, 7 Feb 2009 20:42:01 UTC

Severity: important

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#514459; Package linux-image-2.6.25-2-486. (Sat, 07 Feb 2009 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paul M." <pimy@gmx.net>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Sat, 07 Feb 2009 20:42:29 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Paul M." <pimy@gmx.net>
To: submit@bugs.debian.org
Subject: linux-image-2.6.25-2-486: encrypted root-partition not detected
Date: Sat, 07 Feb 2009 21:39:21 +0100
Package: linux-image-2.6.25-2-486
Version: 2.6.25-7
Severity: normal

I used LUKS to encrypt my hard drive. With kernel 2.6.18-6-486 the hard
drive is detected and I am asked for the LUKS paraphrase.
With a higher kernel version, especially 2.6.25-2-486, I get an error
message, that no root partition is found.
The content of some files:

fdisk -l

Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1          31      248976   83  Linux
/dev/hda2              32       14596   116993362+   5  Extended
/dev/hda5              32       14596   116993331   83  Linux


vi /boot/grub/menu.lst

title           Debian GNU/Linux, kernel 2.6.25-2-486
root            (hd0,0)
kernel          /vmlinuz-2.6.25-2-486 root=/dev/mapper/x0341a-root ro
initrd          /initrd.img-2.6.25-2-486

title           Debian GNU/Linux, kernel 2.6.25-2-486 (single-user mode)
root            (hd0,0)
kernel          /vmlinuz-2.6.25-2-486 root=/dev/mapper/x0341a-root ro
single
initrd          /initrd.img-2.6.25-2-486

title           Debian GNU/Linux, kernel 2.6.18-6-486
root            (hd0,0)
kernel          /vmlinuz-2.6.18-6-486 root=/dev/mapper/x0341a-root ro
initrd          /initrd.img-2.6.18-6-486

title           Debian GNU/Linux, kernel 2.6.18-6-486 (single-user mode)
root            (hd0,0)
kernel          /vmlinuz-2.6.18-6-486 root=/dev/mapper/x0341a-root ro
single
initrd          /initrd.img-2.6.18-6-486




# /etc/fstab: static file system information.
#
# <file system> <mount point>   <type>  <options>       <dump>  <pass>
proc            /proc           proc    defaults        0       0
/dev/mapper/x0341a-root /               ext3  
 defaults,errors=remount-ro 0      
1
/dev/hda1       /boot           ext3    defaults        0       2
/dev/mapper/x0341a-home /home           ext3    defaults        0      
2
/dev/mapper/x0341a-swap_1 none            swap    sw              0    
  0
/dev/hdc        /media/cdrom0   udf,iso9660 user,noauto     0       0
/dev/hdd        /media/cdrom1   udf,iso9660 user,noauto     0       0
/dev/fd0        /media/floppy0  auto    rw,user,noauto  0       0


crypttab:

hda5_crypt /dev/hda5 none luks

-- Package-specific info:

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-6-486
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-2-486 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration
management sy
ii  initramfs-tools [linux-initra 0.92l      tools for generating an
initramfs
ii  module-init-tools             3.4-1      tools for managing Linux
kernel mo

linux-image-2.6.25-2-486 recommends no packages.

Versions of packages linux-image-2.6.25-2-486 suggests:
ii  grub                       0.97-47lenny1 GRand Unified Bootloader
(Legacy v
pn  linux-doc-2.6.25           <none>        (no description available)

-- debconf information:
  linux-image-2.6.25-2-486/postinst/bootloader-error-2.6.25-2-486:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.25-2-486/postinst/depmod-error-2.6.25-2-486: false
  linux-image-2.6.25-2-486/preinst/initrd-2.6.25-2-486:
  linux-image-2.6.25-2-486/preinst/overwriting-modules-2.6.25-2-486: true
  linux-image-2.6.25-2-486/preinst/lilo-has-ramdisk:
  linux-image-2.6.25-2-486/preinst/bootloader-initrd-2.6.25-2-486: true
  linux-image-2.6.25-2-486/preinst/failed-to-move-modules-2.6.25-2-486:
  linux-image-2.6.25-2-486/postinst/old-system-map-link-2.6.25-2-486: true
  linux-image-2.6.25-2-486/postinst/old-initrd-link-2.6.25-2-486: true
 
linux-image-2.6.25-2-486/prerm/would-invalidate-boot-loader-2.6.25-2-486:
true
  linux-image-2.6.25-2-486/preinst/abort-install-2.6.25-2-486:
  linux-image-2.6.25-2-486/postinst/create-kimage-link-2.6.25-2-486: true
  linux-image-2.6.25-2-486/postinst/bootloader-test-error-2.6.25-2-486:
  linux-image-2.6.25-2-486/preinst/lilo-initrd-2.6.25-2-486: true
  linux-image-2.6.25-2-486/preinst/abort-overwrite-2.6.25-2-486:
  linux-image-2.6.25-2-486/postinst/kimage-is-a-directory:
  linux-image-2.6.25-2-486/preinst/elilo-initrd-2.6.25-2-486: true
  linux-image-2.6.25-2-486/postinst/depmod-error-initrd-2.6.25-2-486: false
  linux-image-2.6.25-2-486/postinst/old-dir-initrd-link-2.6.25-2-486: true
  linux-image-2.6.25-2-486/prerm/removing-running-kernel-2.6.25-2-486: true





Bug reassigned from package `linux-image-2.6.25-2-486' to `linux-2.6'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Sat, 07 Feb 2009 21:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#514459; Package linux-2.6. (Wed, 07 Apr 2010 04:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rodrigo Campos <rodrigo@sdfg.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Apr 2010 04:48:03 GMT) Full text and rfc822 format available.

Message #12 received at 514459@bugs.debian.org (full text, mbox):

From: Rodrigo Campos <rodrigo@sdfg.com.ar>
To: 514459@bugs.debian.org
Cc: control@bugs.debian.org
Subject: linux-image-2.6.32-4-686: device name not updated in /etc/crypttab
Date: Wed, 7 Apr 2010 01:16:22 -0300
severity 514459 important
found 514459 2.6.32-10

thanks

I'm not sure about the severity, so feel free to change it :)

I've just upgraded to 2.6.32-10 and it does not boot. The problema is that
/etc/crypttab is not updated to use the UUID (or some other way that identifies
the disk, not /dev/hdX because with the new kernel that's not the name anymore).

I've installed my PC using the debian installer's guided setup to encrypt the
fs, nothing custom. So I think the upgrade should be smooth.

To make that kernel boot, I just change the device in /etc/crypttab to use
the UUID and then just "update-initramfs -u". So if /etc/crypttab is also
updated during the upgrade, I think this issue should be solved.


Let me know if you want me to test something or if I can help in any way



Thanks a lot,
Rodrigo


-- Package-specific info:
** Version:
Linux version 2.6.32-4-686 (Debian 2.6.32-10) (maks@debian.org) (gcc version 4.3.4 (Debian 4.3.4-8) ) #1 SMP Wed Mar 17 17:16:41 UTC 2010

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.32-4-686 root=/dev/mapper/Debian-root ro rootflags=data=writeback

** Not tainted

** Kernel log:
[   13.431397] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[   13.431484] usb usb3: Product: UHCI Host Controller
[   13.431548] usb usb3: Manufacturer: Linux 2.6.32-4-686 uhci_hcd
[   13.431616] usb usb3: SerialNumber: 0000:00:1d.1
[   13.432088] usb usb3: configuration #1 chosen from 1 choice
[   13.432226] hub 3-0:1.0: USB hub found
[   13.432294] hub 3-0:1.0: 2 ports detected
[   13.432641] uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[   13.432715] uhci_hcd 0000:00:1d.2: setting latency timer to 64
[   13.432720] uhci_hcd 0000:00:1d.2: UHCI Host Controller
[   13.432791] uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
[   13.432916] uhci_hcd 0000:00:1d.2: irq 18, io base 0x00001860
[   13.433017] usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
[   13.433086] usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[   13.433174] usb usb4: Product: UHCI Host Controller
[   13.433238] usb usb4: Manufacturer: Linux 2.6.32-4-686 uhci_hcd
[   13.433304] usb usb4: SerialNumber: 0000:00:1d.2
[   13.434107] usb usb4: configuration #1 chosen from 1 choice
[   13.434251] hub 4-0:1.0: USB hub found
[   13.434320] hub 4-0:1.0: 2 ports detected
[   13.434436] uhci_hcd 0000:00:1d.3: PCI INT D -> GSI 19 (level, low) -> IRQ 19
[   13.434511] uhci_hcd 0000:00:1d.3: setting latency timer to 64
[   13.434515] uhci_hcd 0000:00:1d.3: UHCI Host Controller
[   13.434585] uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
[   13.434707] uhci_hcd 0000:00:1d.3: irq 19, io base 0x00001880
[   13.434810] usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
[   13.434879] usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[   13.434967] usb usb5: Product: UHCI Host Controller
[   13.435031] usb usb5: Manufacturer: Linux 2.6.32-4-686 uhci_hcd
[   13.435097] usb usb5: SerialNumber: 0000:00:1d.3
[   13.435327] usb usb5: configuration #1 chosen from 1 choice
[   13.435457] hub 5-0:1.0: USB hub found
[   13.435525] hub 5-0:1.0: 2 ports detected
[   13.745895] Synaptics Touchpad, model: 1, fw: 6.2, id: 0x1a0b1, caps: 0xa04713/0x204000
[   13.776067] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio4/input/input6
[   14.111515] i801_smbus 0000:00:1f.3: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[   14.111612] ACPI: I/O resource 0000:00:1f.3 [0x20a0-0x20bf] conflicts with ACPI region SMBI [0x20a0-0x20af]
[   14.111706] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   14.111924] 8139too Fast Ethernet driver 0.9.28
[   14.112036] 8139too 0000:06:07.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
[   14.113897] eth0: RealTek RTL8139 at 0x3000, 00:16:d3:41:c8:81, IRQ 20
[   14.189270] sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
[   14.189343] Uniform CD-ROM driver Revision: 3.20
[   14.189668] sr 0:0:1:0: Attached scsi CD-ROM sr0
[   14.296737] ieee80211: 802.11 data/management/control stack, git-1.1.13
[   14.296812] ieee80211: Copyright (C) 2004-2005 Intel Corporation <jketreno@linux.intel.com>
[   14.297025] [drm] Initialized drm 1.1.0 20060810
[   14.375582] 8139cp: 10/100 PCI Ethernet driver v1.3 (Mar 22, 2004)
[   14.753967] sd 0:0:0:0: Attached scsi generic sg0 type 0
[   14.754361] ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.2.2kmprq
[   14.754450] ipw2200: Copyright(c) 2003-2006 Intel Corporation
[   14.754599] ipw2200 0000:06:05.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
[   14.754755] sr 0:0:1:0: Attached scsi generic sg1 type 5
[   14.754834] ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection
[   14.754956] ipw2200 0000:06:05.0: firmware: requesting ipw2200-bss.fw
[   14.769590] acer-wmi: Acer Laptop ACPI-WMI Extras
[   14.816612] Registered led device: acer-wmi::mail
[   15.135218] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   15.135297] i915 0000:00:02.0: setting latency timer to 64
[   15.141390] [drm] set up 7M of stolen space
[   15.413988] [drm] initialized overlay support
[   15.837777] ipw2200: Detected geography ZZM (11 802.11bg channels, 0 802.11a channels)
[   15.837898] yenta_cardbus 0000:06:09.0: CardBus bridge found [1025:006a]
[   15.837992] yenta_cardbus 0000:06:09.0: Using CSCINT to route CSC interrupts to PCI
[   15.838081] yenta_cardbus 0000:06:09.0: Routing CardBus interrupts to PCI
[   15.838153] yenta_cardbus 0000:06:09.0: TI: mfunc 0x00001022, devctl 0x44
[   16.068907] yenta_cardbus 0000:06:09.0: ISA IRQ mask 0x0cf8, PCI irq 22
[   16.068983] yenta_cardbus 0000:06:09.0: Socket status: 30000006
[   16.069051] pci_bus 0000:06: Raising subordinate bus# of parent bus (#06) from #06 to #0a
[   16.069149] yenta_cardbus 0000:06:09.0: pcmcia: parent PCI bridge I/O window: 0x3000 - 0x3fff
[   16.069241] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x3000-0x3fff: clean.
[   16.069607] yenta_cardbus 0000:06:09.0: pcmcia: parent PCI bridge Memory window: 0xb0100000 - 0xb01fffff
[   16.069700] yenta_cardbus 0000:06:09.0: pcmcia: parent PCI bridge Memory window: 0x40000000 - 0x43ffffff
[   16.498772] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x100-0x3af: clean.
[   16.500508] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x3e0-0x4ff: excluding 0x4d0-0x4d7
[   16.501231] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x820-0x8ff: clean.
[   16.501829] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xc00-0xcf7: clean.
[   16.502583] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xa00-0xaff: clean.
[   16.555165] Console: switching to colour frame buffer device 160x50
[   16.562704] fb0: inteldrmfb frame buffer device
[   16.562754] registered panic notifier
[   16.563125] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[   16.563259] Intel ICH 0000:00:1e.2: PCI INT A -> GSI 21 (level, low) -> IRQ 21
[   16.563368] Intel ICH 0000:00:1e.2: setting latency timer to 64
[   17.388035] intel8x0_measure_ac97_clock: measured 55329 usecs (2666 samples)
[   17.388122] intel8x0: clocking to 48000
[   17.389290] Intel ICH Modem 0000:00:1e.3: PCI INT B -> GSI 21 (level, low) -> IRQ 21
[   17.389396] Intel ICH Modem 0000:00:1e.3: setting latency timer to 64
[   17.492054] MC'97 1 converters and GPIO not ready (0xff00)
[   19.072910] EXT3 FS on dm-1, internal journal
[   20.284945] Adding 2170872k swap on /dev/mapper/Debian-swap_1.  Priority:-1 extents:1 across:2170872k 
[  146.180959] kjournald starting.  Commit interval 5 seconds
[  146.184259] EXT3 FS on dm-3, internal journal
[  146.186651] EXT3-fs: mounted filesystem with writeback data mode.
[  147.249077] loop: module loaded
[  148.409127] fuse init (API version 7.13)
[  164.228611] eth0: link down
[  164.232385] ADDRCONF(NETDEV_UP): eth0: link is not ready
[  174.716024] eth1: no IPv6 routers present
[  422.475107] lib80211_crypt: registered algorithm 'CCMP'

** Model information
not available

** Loaded modules:
Module                  Size  Used by
lib80211_crypt_ccmp     3643  2 
autofs4                16667  0 
acpi_cpufreq            4943  0 
cpufreq_conservative     4018  0 
cpufreq_stats           1940  0 
cpufreq_powersave        602  0 
cpufreq_userspace       1480  0 
fuse                   43758  1 
loop                    9757  0 
ext2                   46293  1 
pcmcia                 17442  0 
snd_intel8x0m           8100  0 
snd_intel8x0           19523  2 
snd_ac97_codec         79140  2 snd_intel8x0m,snd_intel8x0
snd_seq_midi            3576  0 
i915                  220272  2 
ac97_bus                 710  1 snd_ac97_codec
snd_rawmidi            12505  1 snd_seq_midi
snd_pcm_oss            28671  0 
snd_seq_midi_event      3684  1 snd_seq_midi
snd_mixer_oss          10461  1 snd_pcm_oss
acer_wmi               11072  0 
yenta_socket           16403  1 
snd_seq                35463  2 snd_seq_midi,snd_seq_midi_event
drm_kms_helper         18297  1 i915
sg                     15964  0 
ipw2200               108368  0 
8139cp                 13421  0 
snd_pcm                47210  5 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_seq_device          3673  3 snd_seq_midi,snd_rawmidi,snd_seq
rsrc_nonstatic          7057  1 yenta_socket
rfkill                 10264  1 acer_wmi
libipw                 18439  1 ipw2200
joydev                  6771  0 
drm                   112200  3 i915,drm_kms_helper
sr_mod                 10770  0 
i2c_i801                6442  0 
8139too                14949  0 
snd_timer              12258  3 snd_seq,snd_pcm
uhci_hcd               16057  0 
ehci_hcd               27582  0 
cdrom                  26487  1 sr_mod
i2c_algo_bit            3497  1 i915
usbcore                98162  3 uhci_hcd,ehci_hcd
psmouse                44413  0 
snd                    34363  12 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_rawmidi,snd_pcm_oss,snd_mixer_oss,snd_seq,snd_pcm,snd_seq_device,snd_timer
soundcore               3450  1 snd
i2c_core               12648  5 i915,drm_kms_helper,drm,i2c_i801,i2c_algo_bit
mii                     2714  2 8139cp,8139too
lib80211                2870  3 lib80211_crypt_ccmp,ipw2200,libipw
nls_base                4541  1 usbcore
pcspkr                  1207  0 
video                  14605  1 i915
pcmcia_core            20450  3 pcmcia,yenta_socket,rsrc_nonstatic
snd_page_alloc          5045  3 snd_intel8x0m,snd_intel8x0,snd_pcm
serio_raw               2916  0 
evdev                   5609  15 
rng_core                2178  0 
output                  1204  1 video
battery                 3782  0 
led_class               1757  1 acer_wmi
processor              26599  2 acpi_cpufreq
button                  3598  1 i915
wmi                     3575  1 acer_wmi
ac                      1640  0 
ext3                   94200  2 
jbd                    32169  1 ext3
mbcache                 3762  2 ext2,ext3
sha256_generic         10748  2 
aes_i586                6816  4 
aes_generic            25738  1 aes_i586
cbc                     2047  1 
dm_crypt                9127  1 
dm_mod                 46078  12 dm_crypt
sd_mod                 25785  3 
crc_t10dif              1012  1 sd_mod
thermal                 9206  0 
fan                     2586  0 
thermal_sys             9378  4 video,processor,thermal,fan
ata_generic             2015  0 
ata_piix               17133  3 
libata                114416  2 ata_generic,ata_piix
scsi_mod              101305  4 sg,sr_mod,sd_mod,libata

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller [8086:2590] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2592] (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at b0080000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at 1800 [size=8]
	Region 2: Memory at c0000000 (32-bit, prefetchable) [size=256M]
	Region 3: Memory at b0000000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2792] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Region 0: Memory at 44000000 (32-bit, non-prefetchable) [disabled] [size=512K]
	Capabilities: <access denied>

00:1d.0 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 [8086:2658] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 1820 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 [8086:2659] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 1840 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 [8086:265a] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 1860 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 [8086:265b] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 4: I/O ports at 1880 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller [8086:265c] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at b0040000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev d3) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=06, subordinate=0a, sec-latency=32
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: b0100000-b01fffff
	Prefetchable memory behind bridge: 0000000040000000-0000000043ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1e.2 Multimedia audio controller [0401]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller [8086:266e] (rev 03)
	Subsystem: Acer Incorporated [ALI] Realtek ALC 655 codec (in Acer TravelMate 2410 serie laptop) [1025:006a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 21
	Region 0: I/O ports at 1c00 [size=256]
	Region 1: I/O ports at 18c0 [size=64]
	Region 2: Memory at b0040800 (32-bit, non-prefetchable) [size=512]
	Region 3: Memory at b0040400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH

00:1e.3 Modem [0703]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller [8086:266d] (rev 03) (prog-if 00 [Generic])
	Subsystem: Acer Incorporated [ALI] Conexant AC'97 CoDec (in Acer TravelMate 2410 serie laptop) [1025:006a]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 0: I/O ports at 2400 [size=256]
	Region 1: I/O ports at 2000 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH Modem

00:1f.0 ISA bridge [0601]: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge [8086:2641] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:1f.1 IDE interface [0101]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller [8086:266f] (rev 03) (prog-if 8a [Master SecP PriP])
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 1810 [size=16]
	Kernel driver in use: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller [8086:266a] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 20a0 [size=32]

06:05.0 Network controller [0280]: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection [8086:4220] (rev 05)
	Subsystem: Intel Corporation Device [8086:2701]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (750ns min, 6000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at b0100000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ipw2200

06:07.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ [10ec:8139] (rev 10)
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (8000ns min, 16000ns max)
	Interrupt: pin A routed to IRQ 20
	Region 0: I/O ports at 3000 [size=256]
	Region 1: Memory at b0101000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: 8139too

06:09.0 CardBus bridge [0607]: ENE Technology Inc CB1410 Cardbus Controller [1524:1410] (rev 01)
	Subsystem: Acer Incorporated [ALI] Device [1025:006a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at b0102000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=06, secondary=07, subordinate=0a, sec-latency=176
	Memory window 0: 40000000-43fff000 (prefetchable)
	Memory window 1: 48000000-4bfff000
	I/O window 0: 00003400-000034ff
	I/O window 1: 00003800-000038ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus


** USB devices:
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'stable'), (400, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-4-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-4-686 depends on:
ii  debconf [debconf-2.0]        1.5.30      Debian configuration management sy
ii  initramfs-tools [linux-initr 0.93.4      tools for generating an initramfs
ii  linux-base                   2.6.32-10   Linux image base package
ii  module-init-tools            3.12~pre2-1 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-4-686 recommends:
ii  firmware-linux-free           2.6.32-9   Binary firmware for various driver
ii  libc6-i686                    2.10.2-6   GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.32-4-686 suggests:
ii  grub                          0.97-59    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-4-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
ii  firmware-ipw2x00              0.23       Binary firmware for Intel Pro Wire
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.23       Binary firmware for various driver
ii  firmware-linux-nonfree        0.23       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-4-686/prerm/would-invalidate-boot-loader-2.6.32-4-686: true
  linux-image-2.6.32-4-686/postinst/bootloader-test-error-2.6.32-4-686:
  linux-image-2.6.32-4-686/postinst/depmod-error-initrd-2.6.32-4-686: false
  linux-image-2.6.32-4-686/postinst/bootloader-error-2.6.32-4-686:
  linux-image-2.6.32-4-686/postinst/missing-firmware-2.6.32-4-686:
  linux-image-2.6.32-4-686/prerm/removing-running-kernel-2.6.32-4-686: true




Severity set to 'important' from 'normal' Request was from Rodrigo Campos <rodrigo@sdfg.com.ar> to control@bugs.debian.org. (Wed, 07 Apr 2010 04:48:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-10. Request was from Rodrigo Campos <rodrigo@sdfg.com.ar> to control@bugs.debian.org. (Wed, 07 Apr 2010 04:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#514459; Package linux-2.6. (Wed, 07 Apr 2010 05:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rodrigo Campos <rodrigo@sdfg.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Apr 2010 05:06:04 GMT) Full text and rfc822 format available.

Message #21 received at 514459@bugs.debian.org (full text, mbox):

From: Rodrigo Campos <rodrigo@sdfg.com.ar>
To: 514459@bugs.debian.org
Subject: Re: linux-image-2.6.32-4-686: device name not updated in /etc/crypttab
Date: Wed, 7 Apr 2010 02:01:51 -0300
I think this is fixed in 2.6.32-11 which closed #575056, that is the same bug if
I'm not wrong




Thanks a lot,
Rodrigo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#514459; Package linux-2.6. (Wed, 07 Apr 2010 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Apr 2010 05:57:03 GMT) Full text and rfc822 format available.

Message #26 received at 514459@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Rodrigo Campos <rodrigo@sdfg.com.ar>, 514459@bugs.debian.org
Subject: Re: Bug#514459: linux-image-2.6.32-4-686: device name not updated in /etc/crypttab
Date: Wed, 07 Apr 2010 06:51:49 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-04-07 at 02:01 -0300, Rodrigo Campos wrote:
> I think this is fixed in 2.6.32-11 which closed #575056, that is the same bug if
> I'm not wrong

The problem you reported as a follow-up to #514459 is the same as
#575056.  But #514459 was really about something different.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as found in versions 2.6.32-10. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 07 Apr 2010 05:57:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.25-7. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 07 Apr 2010 05:57:09 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-2.6' to 'cryptsetup'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 04:27:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.25-7. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 04:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#514459; Package cryptsetup. (Tue, 31 May 2011 04:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Tue, 31 May 2011 04:33:03 GMT) Full text and rfc822 format available.

Message #39 received at 514459@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "Paul M." <pimy@gmx.net>
Cc: 514459@bugs.debian.org
Subject: Re: linux-image-2.6.25-2-486: encrypted root-partition not detected
Date: Tue, 31 May 2011 05:32:12 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2009-02-07 at 21:39 +0100, Paul M. wrote:
> Package: linux-image-2.6.25-2-486
> Version: 2.6.25-7
> Severity: normal
> 
> I used LUKS to encrypt my hard drive. With kernel 2.6.18-6-486 the hard
> drive is detected and I am asked for the LUKS paraphrase.
> With a higher kernel version, especially 2.6.25-2-486, I get an error
> message, that no root partition is found.
[...]

I apologise that you haven't received a response to this report.  I hope
that you found some sort of solution or workaround.

LUKS is configured by the cryptsetup package.  Part of this package is
copied into the initramfs so that it is possible to mount an encrypted
root partition.  I believe this is a bug in cryptsetup, not the kernel,
so I have reassigned it accordingly.

Again, I apologise for the long delay in responding to your report.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug closed, send any further explanations to "Paul M." <pimy@gmx.net> Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 04:39:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Jun 2011 07:35:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:00:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.